SDL Library Documentation
Prev |  | Next

# SDL_GetKeyState

## Name

SDL_GetKeyState -- Get a snapshot of the current keyboard state

## Synopsis

    #include "SDL.h"

``Uint8 *SDL_GetKeyState`(int *numkeys);`

## Description

Gets a snapshot of the current keyboard state. The current state is return as a pointer to an array, the size of this array is stored in `numkeys`. The array is indexed by the `SDLK_*` symbols. A value of 1 means the key is pressed and a value of 0 means its not.

> Note: Use `SDL_PumpEvents` to update the state array.

## Example

    Uint8 *keystate = SDL_GetKeyState(NULL);
    if ( keystate[SDLK_RETURN] ) printf("Return Key Pressed.\n");

## See Also

`SDL Key Symbols`, `SDL_PumpEvents`

Prev | Home | Next
SDL_EventState | Up | SDL_GetModState